<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-configurazione-heading" jhiTranslate="shoppingonlineApp.configurazione.home.createOrEditLabel">Create or edit a Configurazione</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.configurazione.tipologia" for="field_tipologia">Tipologia</label>
                    <input type="text" class="form-control" name="tipologia" id="field_tipologia"
                           formControlName="tipologia"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.configurazione.catalogo" for="field_catalogo">Catalogo</label>
                    <select class="form-control" id="field_catalogo" name="catalogo" formControlName="catalogo">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="catalogoOption.id === editForm.get('catalogo')!.value?.id ? editForm.get('catalogo')!.value : catalogoOption" *ngFor="let catalogoOption of catalogos; trackBy: trackById">{{ catalogoOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
